Loading...
Searching...
No Matches
OBFFCalculation4 Class Reference

`#include <openbabel/forcefield.h>`

Inheritance diagram for OBFFCalculation4:
[legend]

## Public Member Functions

virtual | ~OBFFCalculation4 ()
void | SetupPointers ()

## Public Attributes

OBAtom * | d
int | idx_d
double * | pos_d
double | force_d [3]
OBAtom * | c
int | idx_c
double * | pos_c
double | force_c [3]
double | energy
OBAtom * | a
OBAtom * | b
int | idx_a
int | idx_b
double * | pos_a
double * | pos_b
double | force_a [3]
double | force_b [3]

## Detailed Description

Internal class for OBForceField to hold energy and gradient calculations on specific force fields.

## Constructor & Destructor Documentation

## ~OBFFCalculation4()

virtual ~OBFFCalculation4 | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## SetupPointers()

void SetupPointers | ( |  | ) |

inline virtual

Returns
  Setup pointers to atom positions and forces (To be called while setting up calculations). Sets optimized to true.

Reimplemented from OBFFCalculation3.

## Member Data Documentation

## d

OBAtom* d

Used to store the atoms for this OBFFCalculation.

Referenced by SetupPointers().

## idx_d

int idx_d

Used to store the index of atoms for this OBFFCalculation.

Referenced by SetupPointers().

## pos_d

double* pos_d

Pointer to atom coordinates as double[3].

Referenced by SetupPointers().

## force_d

double force_d[3]

Pointer to atom forces.

## c

OBAtom* c

inherited

Used to store the atoms for this OBFFCalculation.

Referenced by SetupPointers(), and OBFFCalculation4::SetupPointers().

## idx_c

int idx_c

inherited

Used to store the index of atoms for this OBFFCalculation.

Referenced by SetupPointers(), and OBFFCalculation4::SetupPointers().

## pos_c

double* pos_c

inherited

Pointer to atom coordinates as double[3].

Referenced by SetupPointers(), and OBFFCalculation4::SetupPointers().

## force_c

double force_c[3]

inherited

Pointer to atom forces.

## energy

double energy

inherited

Used to store the energy for this OBFFCalculation.

## a

OBAtom* a

inherited

Used to store the atoms for this OBFFCalculation.

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## b

OBAtom * b

inherited

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## idx_a

int idx_a

inherited

Used to store the index of atoms for this OBFFCalculation.

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## idx_b

int idx_b

inherited

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## pos_a

double* pos_a

inherited

Pointer to atom coordinates as double[3].

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## pos_b

double * pos_b

inherited

Referenced by SetupPointers(), OBFFCalculation3::SetupPointers(), and OBFFCalculation4::SetupPointers().

## force_a

double force_a[3]

inherited

Pointer to atom forces.

## force_b

double force_b[3]

inherited

The documentation for this class was generated from the following file:

- forcefield.h